package com.govmade.common.utils;

import java.util.Date;

import org.apache.ibatis.reflection.MetaObject;

import com.baomidou.mybatisplus.mapper.MetaObjectHandler;
import com.govmade.modules.system.entity.UserEntity;

import cn.hutool.core.date.DateUtil;

public class MyMetaObjectHandler extends MetaObjectHandler {

	@Override
	public void insertFill(MetaObject metaObject) {
		
		//获取当前登录用户
		UserEntity ue = new UserEntity();
		ue.setId(1L);
		// 获取当前时间
		Date date = DateUtil.date();
		
		setFieldValByName("createBy", ue.getId(), metaObject);
		setFieldValByName("createTime", date, metaObject);
		setFieldValByName("modifyBy", ue.getId(), metaObject);
		setFieldValByName("modifyTime", date, metaObject);
		setFieldValByName("state", Constant.STATE_NORMAL, metaObject);
	}

	@Override
	public void updateFill(MetaObject metaObject) {

		//获取当前登录用户
		UserEntity ue = new UserEntity();
		ue.setId(1L);
		
		setFieldValByName("modifyBy", ue.getId(), metaObject);
		setFieldValByName("modifyTime", DateUtil.date(), metaObject);
	}
}
