package com.govmade.common.validator;

import com.govmade.common.exception.RRException;
import cn.hutool.core.util.StrUtil;

/**
 * 数据校验
 * 
 * @author Fred
 * @email fangtaosh@qq.com
 * @date 2018年8月8日
 */
public abstract class Assert {

    public static void isBlank(String str, String message) {
        if (StrUtil.isBlank(str)) {
            throw new RRException(message);
        }
    }

    public static void isNull(Object object, String message) {
        if (object == null) {
            throw new RRException(message);
        }
    }
}
