package com.govmade.modules.system.service;

import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.govmade.common.utils.PageUtils;
import com.govmade.modules.system.entity.DepartEntity;

/**
 * 系统管理 - 部门设置
 * 
 * @author 刘弈臻
 * @date 2018年8月8日
 */
public interface DepartService extends IService<DepartEntity>{
    
	/**
	 * 查看部门列表
	 */
	PageUtils queryPage(Map<String, Object> params);
	
	/**
	 * 保存或修改部门
	 */
	void save(DepartEntity depart);
	
	/**
	 * 删除部门
	 */
	void deleteBatch(Long[] roleIds);
	

    /**
	 * 部门查重
	 */
	Integer checkDepart(String name);
}
