package com.govmade.modules.system.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.govmade.common.utils.PageUtils;
import com.govmade.modules.system.entity.DictEntity;
import com.govmade.modules.system.entity.UserEntity;

/**
 * 系统管理 - 字典设置
 * 
 * @author Fred
 * @email fangtaosh@qq.com
 * @date 2018年8月7日
 */
public interface DictService extends IService<DictEntity> {

	PageUtils queryPage(Map<String, Object> params);


	DictEntity queryOne(Map<String, Object> params);
	
	List<DictEntity> queryChilds(String value);
}
