package com.govmade.modules.system.entity;

import com.baomidou.mybatisplus.annotations.TableName;
import com.govmade.modules.basic.entity.BaseEntity;

/**
 * 系统管理 - 字典設置
 * 
 * @author Fred
 * @email fangtaosh@qq.com
 * @date 2018年8月7日
 */
@TableName("system_dicts")
public class DictEntity extends BaseEntity<Long> {

	private static final long serialVersionUID = 1L;

	private Long pid; // 父级ID

	private String name; // 字典名

	private String value; // 字典值

	private Integer type; // 类型

	private Integer weight; // 权重

	private String remark; // 备注

	public Long getPid() {
		return pid;
	}

	public void setPid(Long pid) {
		this.pid = pid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getWeight() {
		return weight;
	}

	public void setWeight(Integer weight) {
		this.weight = weight;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
}
